{% extends "vng_api_common/index.html" %}
{% load i18n %}

{% block docs_oas %}
  <div class="col-sm-4">

    <div class="card">
      <div class="card-body">
        <h5 class="card-title"><i class="fas fa-wifi"></i>
            {% trans "API specificatie" %}
        </h5>

        <p class="card-text">
            {% trans "Technische API documentatie in de vorm van een Open API Specificatie (OAS)." %}
        </p>

        <a href="https://redocly.github.io/redoc/?url={{ settings.GITLAB_API_SPEC }}" class="btn btn-primary">
            {% trans "API specificaties" %}
        </a>
      </div>
    </div>
  </div>
{% endblock %}

{% block docs_scopes %}
  <div class="col-sm-4">

    <div class="card">
      <div class="card-body">
        <h5 class="card-title"><i class="fas fa-shield-alt"></i>
            {% trans "API scopes" %}
        </h5>
        <p class="card-text">
            {% blocktrans %}
                Alle scopes binnen deze API voor gebruik in JWT's t.b.v. autorisaties.
            {% endblocktrans %}
        </p>
        <a href="{{ settings.SCOPES_SPEC }}" class="btn btn-primary">
            {% trans "API scopes" %}
        </a>
      </div>
    </div>

  </div>
{% endblock %}

{% block admin_link %}
    {{ block.super }}
    <p>
        <a href="{% url 'view-config' %}" class="btn btn-sm btn-secondary">
            <i class="fa fa-info-circle"/></i>
            {% trans "Bekijk configuratie" %}
        </a>
    </p>
{% endblock admin_link %}
